Get photo details
const url = 'https://api.example.com/cms/photo/1';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/photo/1 \ --header 'API-Key: <API-Key>'Returns details of a specific photo.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Responses
Section titled “Responses”Photo details
API representation of an attachment (images, video, files)
object
Attachment ID (numeric string)
Name
Description
Type (image|video|file)
Public URL
Width in pixels
Height in pixels
Focal point as “x% y%”
Transforms (list of available image transforms)
object
Width in pixels (numeric string)
Height in pixels (numeric string)
URL of the transformed image
Additional urls per transform
object
Search title
Search description
Social title
Video object when type is video
API representation of a video
object
Video ID (numeric string)
Title
URL
Duration in seconds (numeric string)
Episode number (numeric string)
Status
Show ID (numeric string)
Show name
Show URL
Brief
Thumbnail URL
ThumbnailPlay URL
Filename/URL
Publish date
Views (numeric string)
Publish flag
Formats
API representation of a video format
object
Format
Filename/URL
CDN path
MIME type
Duration in seconds
Example
{ "id": "110586", "transforms": [ { "x": "200", "y": "100" } ], "video": { "id": "4903", "duration": "171", "number": "1", "showId": "2", "views": "0" }}Forbidden
Photo not found